1 Reply Latest reply: Nov 17, 2012 5:33 PM by Niel
kaitlyncaira Level 1 Level 1 (0 points)

I have an iPod from 2005, and everytime I update it, it tells me that ios 1.3 is the most recent update. any ideas how to fix this?